Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class CommunityDefinition

    java.lang.Object
      com.bea.netuix.application.definition.CommunityDefinition

All Implemented Interfaces
  DateableDefinition, TemplateDefinition, Serializable

    public class CommunityDefinition

extends Object
implements TemplateDefinition, DateableDefinition, Serializable

Runtime representation of a community.

The overview of community functionality contains a description of the community framework.

See Also
  Serialized Form

Constructor Summary
`CommunityDefinition(CommunityInfo communityInfo)` Constructor

Method Summary
`protected Map<String,CommunityProperty>` | `cloneProperties()` Returns a clone of the properties associated with this community.
`boolean` | `equals(Object o)`
`String` | `getCommunityCallbackClass()` Returns the name of the callback class associated with this community.
`CommunityDefinitionId` | `getCommunityDefinitionId()` Retrieves the `CommunityDefinitionId` for this this community.
`CommunityDesktop` | `getCommunityDesktop()` Retrieves the `CommunityDesktop` being used to create a community.
`CommunityInfo` | `getCommunityInfo()` Get a CommunityInfo object representing all the settings for this `CommunityDefinition`
`CommunityURI` | `getCommunityURI()` Retrieves the `CommunityURI` for this community, which serves to uniquely identify the community.
`Date` | `getCreatedDate()` Returns date this `CommunityDefinition` was created.
`String` | `getDescription()` Retrieves the localized description for this community.
`DesktopDefinitionId` | `getDesktopDefinitionId()` Retrieves the `DesktopDefinitionId` of the desktop associated with this community.
`DesktopPath` | `getDesktopPath()` Returns the desktop path of the desktop associated with this community.
`String` | `getErrorUri()` Retrieves the error page URI for this community.
`Date` | `getExpirationDate()` Retrieves the expiration date for this community.
`LocalizationIntersectionId` | `getLocalizationIntersectionId()` Returns the `LocalizationIntersectionId` for this community.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `CommunityDefinition` based on the locale of the request used for retrieving it.
`LocalizationResource` | `getLocalizationResource(javax.servlet.http.HttpServletRequest request)` Returns the `LocalizationResource` associated with this `CommunityDefinition` based the locale(s) specified in the input request.
`Date` | `getModifiedDate()` Returns date last time this `CommunityDefinition` was modified.
`CommunityDefinitionId` | `getParentId()` Returns the `CommunityDefinitionId` of the community that is the parent of this community.
`PortalPath` | `getPortalPath()` Returns the portal path of the portal this community resides in.
`Map<String,CommunityProperty>` | `getProperties()` Returns the properties associated with this community.
`String` | `getRegistrationPageUri()` Returns the uri to the registration page.
`TimeZone` | `getTimeZone()` Retrieves the `TimeZone` associated with this `Community`.
`String` | `getTitle()` Retrieves the localized title for this community.
`String` | `getWebAppName()` Returns the name of the web application this template resides in
`int` | `hashCode()`
`boolean` | `isAccessTrackingEnabled()` Returns `true` if member access tracking is enabled for this community.
`boolean` | `isActive()` Returns `true` if this community is active, `false` otherwise.
`boolean` | `isGlobal()` Returns `true` if this community is a global template
`boolean` | `isPersonalPagesEnabled()` Returns `true` if this community allows its members to add personal pages to the community, `false` otherwise.
`boolean` | `isPublic()` Returns `true` if this community is public, `false` otherwise.
`boolean` | `isPublicRegistrationEnabled()` Returns `true` if this community allows members to self register without an invitation, `false` otherwise.
`boolean` | `isTemplate()` Returns `true` if this community is marked as a template, `false` otherwise.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommunityDefinition

    public CommunityDefinition(CommunityInfo communityInfo)

  Constructor

  Parameters
    `communityInfo` - data object that holds information about this `CommunityDefinition`

Method Detail

### getCommunityInfo

    public CommunityInfo getCommunityInfo()

  Get a CommunityInfo object representing all the settings for this `CommunityDefinition`

  Returns
    a CommunityInfo object with the fields set to reflect the internal values of this CommunityDefinition.

### getCommunityDefinitionId

    public CommunityDefinitionId getCommunityDefinitionId()

  Retrieves the `CommunityDefinitionId` for this this community. May be `null` if this `CommunityDefinition` has not been retrieved using the `ICommunityManager` api.

  Returns
    `CommunityDefinitionId` for this community

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `CommunityDefinition` based on the locale of the request used for retrieving it. May return null if this `CommunityDefinition` is retrieved by setting the `localize` flag to `false` on the various `getCommunity` methods on `ICommunityManager`.

  Specified by:
    `getLocalizationResource` in interface `TemplateDefinition`
  Returns
    `LocalizationResource` associated with this community

### getLocalizationResource

    public LocalizationResource getLocalizationResource(javax.servlet.http.HttpServletRequest request)
                                                 throws CommunityException

  Returns the `LocalizationResource` associated with this `CommunityDefinition` based the locale(s) specified in the input request.

  Parameters
    `request` - http request
  Returns
    LocalizationResource localization resource for this community
  Throws
    `CommunityException`

### getWebAppName

    public String getWebAppName()

  Description copied from interface: `TemplateDefinition`
  Returns the name of the web application this template resides in

  Specified by:
    `getWebAppName` in interface `TemplateDefinition`
  Returns
    web app name

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

  Returns the `LocalizationIntersectionId` for this community. Returns null if no LocalizationResource is associated with this desktop or this `CommunityDefinition` has not been retrieved from the database. A `LocalizationIntersectionId` is a reference to all localized versions of title and description for an entity.

  Returns
    `LocalizationIntersectionId` for this community

### getTitle

    public String getTitle()

  Retrieves the localized title for this community.

  Returns
    community title

### getDescription

    public String getDescription()

  Retrieves the localized description for this community.

  Returns
    community description

### getCommunityDesktop

    public CommunityDesktop getCommunityDesktop()

  Retrieves the `CommunityDesktop` being used to create a community. On `CommmunityDefinition`s retreived from the persistent store the `CommunityDesktop` is `null`.

  Returns
    `CommunityDesktop`

### getDesktopDefinitionId

    public DesktopDefinitionId getDesktopDefinitionId()

  Retrieves the `DesktopDefinitionId` of the desktop associated with this community. May return `null` if this CommunityDefinition was not retrieved using the CommunityManager API.

  Returns
    `DesktopDefinitionId`

### getCommunityURI

    public CommunityURI getCommunityURI()

  Retrieves the `CommunityURI` for this community, which serves to uniquely identify the community.

  Returns
    the `CommunityURI` for this community, or `null` if none has yet been associated with the community.

### getExpirationDate

    public Date getExpirationDate()

  Retrieves the expiration date for this community. A community gets automatically deactivated once it has lived out its expirationDate.

  Returns
    The expiration date for this community, or `null` if the community never expires.

### getTimeZone

    public TimeZone getTimeZone()

  Retrieves the `TimeZone` associated with this `Community`.

  Returns
    timeZone

### isActive

    public boolean isActive()

  Returns `true` if this community is active, `false` otherwise.

  Returns
    `true` if this community is active, `false` otherwise

### isPublic

    public boolean isPublic()

  Returns `true` if this community is public, `false` otherwise.

  Returns
    `true` if this community is public, `false` otherwise.

### isTemplate

    public boolean isTemplate()

  Returns `true` if this community is marked as a template, `false` otherwise.

  Returns
    `true` if this community is marked as a template, `false` otherwise

### isGlobal

    public boolean isGlobal()

  Returns `true` if this community is a global template

  Returns
    `true` if this community is a global template, `false` otherwise

### isPersonalPagesEnabled

    public boolean isPersonalPagesEnabled()

  Returns `true` if this community allows its members to add personal pages to the community, `false` otherwise.

  Returns
    `true` if this community allows its members to add personal pages to the community, `false` otherwise

### isPublicRegistrationEnabled

    public boolean isPublicRegistrationEnabled()

  Returns `true` if this community allows members to self register without an invitation, `false` otherwise.

  Returns
    `true` if this community allows members to self register without an invitation, `false` otherwise

### getRegistrationPageUri

    public String getRegistrationPageUri()

  Returns the uri to the registration page.

  Returns
    registration uri

### getErrorUri

    public String getErrorUri()

  Retrieves the error page URI for this community. This is the Uri to the page to be displayed when the community cannot be viewed by a user, such as when the community is dactivated or the membership is deactivated.

  Returns
    error uri

### isAccessTrackingEnabled

    public boolean isAccessTrackingEnabled()

  Returns `true` if member access tracking is enabled for this community.

  Returns
    `true` if member access tracking is enabled, false otherwise

### getProperties

    public Map<String,CommunityProperty> getProperties()

  Returns the properties associated with this community. May be `null` if this `CommunityDefinition` has not been retrieved using the `ICommunityManager` api.

  Returns
    map of properties

### getDesktopPath

    public DesktopPath getDesktopPath()

  Returns the desktop path of the desktop associated with this community.

  Returns
    desktop path

### getPortalPath

    public PortalPath getPortalPath()

  Returns the portal path of the portal this community resides in.

  Returns
    portal path

### getCommunityCallbackClass

    public String getCommunityCallbackClass()

  Returns the name of the callback class associated with this community. Returns null if no callback class is associated with this community.

  Returns
    name of callback class

### getParentId

    public CommunityDefinitionId getParentId()

  Returns the `CommunityDefinitionId` of the community that is the parent of this community. Returns null if this community has no parent.

  Returns
    `CommunityDefinitionId` of parent community

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getCreatedDate

    public Date getCreatedDate()

  Returns date this `CommunityDefinition` was created.

  Specified by:
    `getCreatedDate` in interface `DateableDefinition`
  Returns
    createdDate

### getModifiedDate

    public Date getModifiedDate()

  Returns date last time this `CommunityDefinition` was modified.

  Specified by:
    `getModifiedDate` in interface `DateableDefinition`
  Returns
    modifiedDate

### cloneProperties

    protected Map<String,CommunityProperty> cloneProperties()

  Returns a clone of the properties associated with this community.

  Returns
    community properties

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.